#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,160,200,240,280,320,680,1400,2120,2840
 * N : 25,80,160,200,240,280,320,680,1400,2120,2840
 * NB : 4,8,8,8,40,16,52,48,40,40,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 4; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 40; \
   else if ((n_) < 300) (nb_) = 16; \
   else if ((n_) < 500) (nb_) = 52; \
   else if ((n_) < 1040) (nb_) = 48; \
   else if ((n_) < 2480) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
