#ifndef ATL_cGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,112,280,336,392,560,1120,1176,1232,1400,1680,2240
 * N : 25,112,280,336,392,560,1120,1176,1232,1400,1680,2240
 * NB : 5,8,8,12,12,64,56,112,112,120,112,112
 */
#define ATL_cGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 68) (nb_) = 5; \
   else if ((n_) < 308) (nb_) = 8; \
   else if ((n_) < 476) (nb_) = 12; \
   else if ((n_) < 840) (nb_) = 64; \
   else if ((n_) < 1148) (nb_) = 56; \
   else if ((n_) < 1316) (nb_) = 112; \
   else if ((n_) < 1540) (nb_) = 120; \
   else (nb_) = 112; \
}


#endif    /* end ifndef ATL_cGetNB_geqrf */
